Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.pstricks
Class PsObjectExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.pstricks.PsObjectExpression

All Implemented Interfaces:
  ExpressionConstants

public class PsObjectExpression
extends AbstractRegularExpression

Handles \\newpsobject{myobj}{ps_object}{par1=val1,...}, for instance \\newpsobject{myline}{psline}{linecolor=green} (param is optional, though in this case, it'd be pretty useless!)

Version:
  $Id: PsObjectExpression.java,v 1.4.2.1 2007/09/02 11:56:12 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`PsObjectExpression(PstricksParser p, Pool pl)`

Method Summary
`boolean` | `interpret(Context context)` Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PsObjectExpression

    public PsObjectExpression(PstricksParser p,
                              Pool pl)

Method Detail

### interpret

    public boolean interpret(Context context)
                      throws REParserException

  Description copied from class: `AbstractRegularExpression`
  Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.

  Specified by:
    `interpret` in class `AbstractRegularExpression`
  Returns:
    TRUE if parsing was successful
  Throws:
    `REParserException` - if an error occur during parsing

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org